GridFire v0.7.0-alpha General Purpose Nuclear Network

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
gridfire::expectations::StaleEngineError Struct Referencefinal

`#include <expected_engine.h>`

Inheritance diagram for gridfire::expectations::StaleEngineError:
[legend]
Collaboration diagram for gridfire::expectations::StaleEngineError:
[legend]

## Public Member Functions
| StaleEngineError (const StaleEngineErrorTypes sType)
| operator std::string () const
Public Member Functions inherited from gridfire::expectations::EngineError
| EngineError (std::string message, const EngineErrorTypes type)
virtual | ~EngineError ()=default

## Public Attributes
StaleEngineErrorTypes | staleType
Public Attributes inherited from gridfire::expectations::EngineError
std::string | m_message
const EngineErrorTypes | type = EngineErrorTypes::FAILURE

## Constructor & Destructor Documentation

## ◆ StaleEngineError()

gridfire::expectations::StaleEngineError::StaleEngineError | ( | const StaleEngineErrorTypes | sType | ) |
| inline explicit

## Member Function Documentation

## ◆ operator std::string()

gridfire::expectations::StaleEngineError::operator std::string | ( |  | ) | const
| inline explicit

## Member Data Documentation

## ◆ staleType

StaleEngineErrorTypes gridfire::expectations::StaleEngineError::staleType

The documentation for this struct was generated from the following file:

- src/include/gridfire/expectations/expected_engine.h